Download your favorite Linux distribution at LQ ISO.
Go Back > Forums > Linux Forums > Linux - Software
User Name
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.


  Search this Thread
Old 06-08-2007, 07:55 AM   #1
LQ Newbie
Registered: Jun 2007
Distribution: RHEL 4,5; FC 6; Ubantu 7.4
Posts: 1

Rep: Reputation: 0
/lib/ version 'GLIBC_2.4' not found

Hi Guys
I'am a newbie to this site.
well most my friends suggests this site. It would be of great help if you guys can find some time to help me out.

I was trying to update my server using yum on RHEL 4.
But in the end I had to install GLIBC_2.4 which required dependencies, so had to install it without caring for the dependencies. This started the error. In the I replaced with the one I downloaded.

Fine then it got screwed-up totaly I executed
still when I give kmail it shows me the error
kmail:/lib/ version 'GLIBC_2.4' not found (required by /lib/

Please get back

Thanks & Regards
Old 06-08-2007, 10:07 AM   #2
Senior Member
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
I do not know where you got the yum package or how/why you installed GLIBC_2.4, but there are good directions here for using yum on RHEL4 here:

FYI: the "missing file" is in the glibc package.
rpm -qa glibc

Expected results(latest version for RHEL4update5):glibc-2.3.4-2.36
Old 05-22-2010, 11:29 AM   #3
LQ Newbie
Registered: May 2010
Posts: 1

Rep: Reputation: 0
/lib/ version 'GLIBC_2.4' not found

Hi Guys,
I am newbie to this website/ discussion. Could you please help me to resolve the following problem.

g++: /lib/tls/ version `GLIBC_2.4' not found (required by g++)

I hope you might come across such a problem earlier. If so please send me the procedure to resolve the same.

OS: Red Hat Enterprises Linux AS, 2.6.9-34
GNU Compiler : g++

Thanks and Regards,


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
ntop: /lib/ version `GLIBC_2.4' not found jayakrishnan Linux - Software 4 02-07-2006 05:43 AM
/lib/ version 'GLIBC_2.3.2' not found solutionseeker Linux - Newbie 21 01-29-2005 10:02 PM
Problem with Insight II - version GLIBC_2.2 not defined in file belga Linux - Software 3 08-18-2004 02:01 PM, needed for Linux 7.3.1 vivek_thampy Linux - Software 1 08-09-2004 05:12 PM
xauth: /lib/i686/ version 'GLIBC_2.3.2' not found yigald Linux - Newbie 0 02-21-2004 12:52 AM

All times are GMT -5. The time now is 10:34 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration